/**
 *  Creator: Christian Hotz
 *  Company: hydra newmedia GmbH
 *  Date: 12.06.16
 *
 *  Copyright hydra newmedia GmbH
 */
"use strict";
var EntryModel = (function () {
    function EntryModel(entry) {
        this.metadata = this.calcMetadata(entry);
        this.obj = entry.obj;
    }
    EntryModel.prototype.calcMetadata = function (entry) {
        return {
            creator: {
                user: entry.creator.user,
                source: entry.creator.source
            },
            timestamp: entry.timestamp.toISOString(),
            objId: entry.objId,
            entity: entry.entity.name
        };
    };
    return EntryModel;
}());
exports.EntryModel = EntryModel;
